#
# spec file for package squidview
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           squidview
Version:        0.81
Release:        5.6
Source:         %{name}/%{name}-%{version}.tar.gz
# to be used one day with _service ...
#Source:         http://www.rillion.net/%%{name}/%%{name}-%%{version}.tar.gz
Url:            http://www.rillion.net/%{name}/index.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ncurses-devel
Summary:        Interactive console program which monitors squid logs access
License:        GPL-2.0
Group:          Productivity/Networking/Web/Proxy
Patch0:         COPYING.patch
Patch1:         ltinfo-obs.patch
Patch2:         ac_new-autoconf.patch

%description
Squidview is an interactive console program which monitors 
and displays squid logs in a nice fashion, and may then go 
deeper with searching and reporting functions.

If you don't know what squid is or does this program is probably not for you.

To use squidview you must at least have read access to squid's 
access.log file. You may need to see your administrator for this.
Squidview uses this text log file for all operations. 
It does not generate its own database for tasks
 
%prep
%setup -q -n %{name}-%{version}
%patch0 
%patch1
%patch2
mv configure.in configure.ac
autoreconf -fiv

%build
%configure
%__make %{?_smp_mflags};

%install
%makeinstall 
# Remove stupid content in /usr/share/squidview
%__rm -rf %{buildroot}%{_datadir}/squidview

# Not used anymore, but doesn't eat bread

%clean
%__rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
# Upstream Author doesn't want to be spammed!
# AUTHORS NEWS are empty 
%doc BUGS ChangeLog COPYING example.log HOWTO README
%{_mandir}/man1/squidview*
%{_bindir}/squidview

%changelog
* Thu Jan  1 2015 bruno@ioda-net.ch
- New upstream release 0.81 January 2015
  - squid result code update
  thanks to Yuri Voinov for the suggestion
- Redone patch ac_new_autoconf.patch
* Thu Oct  2 2014 bruno@ioda-net.ch
- Added patch ac_new-autoconf.patch for fixing build on factory
* Thu Feb 13 2014 bruno@ioda-net.ch
- update to upstream 0.8 version
  compatability with syslog
- cleanup service to localrun mode
- added autoreconf
* Wed Feb 15 2012 bruno@ioda-net.ch
- put service source_validator in localonly mode
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 22 2011 bruno@ioda-net.ch
-- Rename the COPYING patch
- Added patch the support and detect -ltinfo (post 12.1)
* Sun Jul 17 2011 bruno@ioda-net.ch
- Comment service download, and put directly the source tar.gz
* Sat Jul  9 2011 bruno@ioda-net.ch
- Fix somes path, build ok for SLES11_SP1-
* Mon Jun  6 2011 bruno@ioda-net.ch
- First packaging of squidview 0.79
- Ask upstream to give a recent COPYING licence file
- Ask to fill AUTHORS file with contact
